PHP Manual
Prev |  | Next

# SWFButton->addShape()

(no version information, might be only in CVS)

SWFButton->addShape() -- Adds a shape to a button

## Description

class SWFButton {
void addShape ( SWFShape shape, int flags )
}

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Adds the given `shape` to the button.

## Parameters

`shape`

  An SWFShape instance

`flags`

  The following `flags` are valid: `SWFBUTTON_UP`, `SWFBUTTON_OVER`, `SWFBUTTON_DOWN` and `SWFBUTTON_HIT`.

  `SWFBUTTON_HIT` isn't ever displayed, it defines the hit region for the button. That is, everywhere the hit shape would be drawn is considered a "touchable" part of the button.

## Return Values

No value is returned.

Prev | Home | Next
SWFButton->addASound() | Up | SWFButton->setAction()